Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.pattern
Class LineSeparatorPatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter
              org.apache.log4j.pattern.LineSeparatorPatternConverter

    public final class LineSeparatorPatternConverter

extends LoggingEventPatternConverter

Formats a line separator.

Author:
  Ceki Gülcü

Method Summary
`void` | `format(LoggingEvent event, StringBuffer toAppendTo)` Formats an event into a string buffer.
`void` | `format(Object obj, StringBuffer toAppendTo)` Formats an object into a string buffer.
`static LineSeparatorPatternConverter` | `newInstance(String[] options)` Obtains an instance of pattern converter.

Methods inherited from class org.apache.log4j.pattern.LoggingEventPatternConverter
`handlesThrowable`

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static LineSeparatorPatternConverter newInstance(String[] options)

  Obtains an instance of pattern converter.

  Parameters:
    `options` - options, may be null.
  Returns:
    instance of pattern converter.

### format

    public void format(LoggingEvent event,
                       StringBuffer toAppendTo)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

### format

    public void format(Object obj,
                       StringBuffer toAppendTo)

  Formats an object into a string buffer.

  Overrides:
    `format` in class `LoggingEventPatternConverter`
  Parameters:
    `obj` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.